[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#648432: Fails to install on kfreebsd-*

On Fri, 11 Nov 2011 16:22:33 +0200, Yavor Doganov wrote:
On Fri, Nov 11, 2011 at 03:10:16PM +0100, Mehdi Dogguy wrote:
Package: gnustep-back-common
Version: 0.20.1-2
Severity: serious
Tags: sid wheezy

It seems that gnustep-back-common fails to install in sid on
kfreebsd-* machines. This has been noticed while trying to build
gnustep-dl2 [1]. I'm not sure what the problem is,

My guess is that mknfonts is crashing in postinst, because I broke the
gnustep-base ABI on GNU/kFreeBSD (with your permission) in 1.22.1-2
(#644868), and gnustep-dl2 has been uploaded shortly afterwards.

Now that mknfonts.tool has been binNMUed, please give back
gnustep-dl2; if my theory is correct it should build fine.

I suspected something along those lines too but wasn't sure since
I don't have access to the build failure and didn't want to abuse
buildd resources.

I think it is fair to try once... I've given back gnustep-dl2 on
kfreebsd-amd64. If it builds fine there, I'll do the same for kfreebsd-i386
and close this bug.

Thanks for your prompt reply!



Reply to: